package com.persagy.bdtp.adm.controller;


import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.persagy.bdtp.adm.common.AdmResult;
import com.persagy.bdtp.adm.dao.AdmFileMapper;
import com.persagy.bdtp.adm.entity.CadFileQueryParam;
import com.persagy.bdtp.adm.entity.db.AdmFile;
import com.persagy.bdtp.adm.service.IAdmFileService;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 文件附件 前端控制器
 * </p>
 *
 * @author yanguofeng
 * @since 2022-01-10
 */
@RestController
@RequestMapping("/adm/adm-file")
public class AdmFileController {

    @Autowired
    IAdmFileService iAdmFileService;
    @Autowired
    AdmFileMapper admFileMapper;

    /**
     * CAD文件查询接口
     */

    @PostMapping("/queryCadFiles")
    public AdmResult<List<AdmFile>> queryCadFiles(@RequestBody CadFileQueryParam queryParam){
        Wrapper<AdmFile> eq = new LambdaQueryWrapper<AdmFile>()
                .eq(StringUtils.isNotBlank(queryParam.getProjectId()), AdmFile::getProjectId, queryParam.getProjectId())
                .eq(StringUtils.isNotBlank(queryParam.getBuildingId()),AdmFile::getBuildingId,queryParam.getBuildingId())
                .eq(StringUtils.isNotBlank(queryParam.getFloorId()),AdmFile::getFloorId,queryParam.getFloorId())
                .eq(StringUtils.isNotBlank(queryParam.getFileId()),AdmFile::getFileId,queryParam.getFileId())
                .eq(StringUtils.isNotBlank(queryParam.getBizType()),AdmFile::getBizType,queryParam.getBizType());
        return AdmResult.success(iAdmFileService.list(eq));
    }

    /**
     * 保存CAD文件信息
     */
    @PostMapping("/saveCadFileInfo")
    public AdmResult<Void> saveCadFileInfo(@RequestBody List<AdmFile> admFiles){
        iAdmFileService.saveOrUpdateBatch(admFiles);
        return AdmResult.success(null);
    }

    /**
     * 删除CAD文件信息
     * @param id 文件信息表主键ID
     */
    @PostMapping("/delete")
    public AdmResult<Void> delete(@RequestParam("id") String id){
        iAdmFileService.removeById(id);
        return AdmResult.success(null);
    }
}
