package com.persagy.bdtp.adm.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.persagy.bdtp.adm.entity.db.BaseAdmDataEntity;
import com.persagy.bdtp.adm.entity.db.BaseAdmEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 核查问题表
 * </p>
 *
 * @author yanguofeng
 * @since 2022-01-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class AdmProblem extends BaseAdmDataEntity implements Serializable {

    /**
     * 项目id
     */
    @TableField("project_id")
    private String projectId;

    /**
     * 建筑id
     */
    @TableField("building_id")
    private String buildingId;

    /**
     * 问题所在楼层id
     */
    @TableField("floor_id")
    private String floorId;

    /**
     * 核查对应的文件ID
     */
    @TableField("file_id")
    private String fileId;

    /**
     * 1 空间 2对象
     */
    @TableField("check_type")
    private String checkType;

    /**
     * 问题对象类型
     */
    @TableField("obj_type_code")
    private String objTypeCode;

    /**
     * 问题对象类型名称
     */
    @TableField("obj_type_name")
    private String objTypeName;

    /**
     * 问题对象id
     */
    @TableField("obj_id")
    private String objId;

    /**
     * 问题对象名称
     */
    @TableField("obj_name")
    private String objName;

    /**
     * 问题类型编码
     */
    @TableField("type_code")
    private String typeCode;

    /**
     * 问题类型名称
     */
    @TableField("type_name")
    private String typeName;

    /**
     * 问题描述
     */
    private String info;

    /**
     * 建筑结构核查任务状态(1:有效;2:已解决)
     */
    private Integer status;


}
