package com.persagy.bdtp.adm.entity.db;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
@Data
@TableName("adm_file")
public class AdmFile extends BaseAdmDataEntity{

    private static final long serialVersionUID = 1L;

    /**
     * 文件类型(photo|video|file|...)
     */
    private String fileType;

    /**
     * 业务类型(object:对象附件|problem_arch:空间问题附件|problem_equip:设备问题附件)
     */
    private String bizType;

    /**
     * 文件存储路径(id)
     */
    private String filePath;

    /**
     * app端文件存储路径
     */
    private String clientPath;

    /**
     * 关联的对象id
     */
    private String refObjId;

    /**
     * 关联的对象信息点code
     */
    private String refInfoCode;

    /**
     * 描述
     */
    private String remark;

    /**
     * 文件附件(照片)的排序序号
     */
    private Integer orderNum;

    /**
     * 项目id
     */
    private String projectId;

    /**
     * 楼层id
     */
    private String floorId;

    /**
     * 建筑id
     */
    private String buildingId;


    /**
     * 文件服务中的存储id
     */
    private String fileId;


    @Override
    public String toString() {
        return "AdmFile{" +
                "id=" + id +
                ", fileType=" + fileType +
                ", bizType=" + bizType +
                ", filePath=" + filePath +
                ", clientPath=" + clientPath +
                ", refObjId=" + refObjId +
                ", refInfoCode=" + refInfoCode +
                ", remark=" + remark +
                ", orderNum=" + orderNum +
                ", projectId=" + projectId +
                ", floorId=" + floorId +
                ", buildingId=" + buildingId +
                ", creator=" + creator +
                ", creationTime=" + creationTime +
                ", modifier=" + modifier +
                ", modifiedTime=" + modifiedTime +
                ", valid=" + valid +
                ", fileId=" + fileId +
                ", ts=" + ts +
                "}";
    }
}